/*------------------------------------*\
    
    WebFX CF7 Customizations - Global styling for all CF7 Forms

    Add custom CF7 form styling to this file if it should be applied to all CF7 forms on the site
    Otherwise, put your block-specific styles in individual block stylesheets so that various block-specific styles aren't loaded on every CF7 form

\*------------------------------------*/


/* Default Radio/Checkbox Style (if using CF7) */
.wpcf7-radio .wpcf7-list-item,
.wpcf7-checkbox .wpcf7-list-item {
    display: inline-block;
    margin-right: 15px;
    margin-bottom: 2px;
    margin-top: 10px;
    /* incase items go to 2 lines */
}

.wpcf7-radio .wpcf7-list-item-label,
.wpcf7-checkbox .wpcf7-list-item-label {
    margin-left: 5px;
}


#contact-form .form__col.col-lg-12.row {
    /* margin: 0px; */
    margin: 30px 0 -8px;
}

#contact-form .form__col-inner.col-lg-4 {
    margin-bottom: 15px;
}

#contact-form {
    margin-top: 15px;/*25px*/
    justify-self: center;
}

/* CF7 Validation (Remove if not using CF7) */

/* Individual field error messages */
.form__label {
    margin: 0 -5px 0px;
    padding-left: 20px;
    font-size: 17px;
    text-transform: uppercase;
    font-weight: 900;
    color: var(--gray-blue);
}

.wpcf7-checkbox span.wpcf7-list-item-label {
    font-weight: 400;
    text-transform: capitalize;
    font-size: 16px;
    letter-spacing: 0px;
    color: var(--black);
}

.form__col__submit {
    text-align: center;
    margin: auto;
    display: flex;
    justify-content: center;
    margin-left: 5px;
}

.form__col__submit .btn.btn-primary {
    width: 97%;
    border-color: var(--primary-color);
    box-shadow: var(--primary-color);
    border: none;
    margin: 0 auto !important;
    padding: 15px;;
}

.form__col__note {
    text-align: center;
    padding: 30px  0 10px;
}

.form__col__note {
    text-align: center;
    padding: 30px  0 10px;
}

/* Target the specific CF7 field by its name */

.wpcf7-form-control-wrap[data-name="interested-in"] .wpcf7-checkbox {
    display: grid; /*grid*/
    grid-template-columns: repeat(3, auto); /* 2 columns */
    column-gap: 20px;
    row-gap: 0px;
    justify-content: flex-start;
    margin-top: 8px;
    margin-bottom: -15px;
}

.wpcf7-form-control .wpcf7-list item {
    margin-bottom: -72px;
}

.wpcf7-form-control-wrap[data-name="interested-in"] input[type="checkbox"] {
    width: 25px;
    height: 25px;
    margin-right: 6px;
    border: 2px solid transparent; 
    border-radius: 4px; 
    box-shadow: 0px 2px 5px rgba(0,0,0,0.2); 
    background-color: #fff; 
    appearance: none;
    cursor: pointer;
    position: relative;
}

/* Add checkmark style when checked */
.wpcf7-form-control-wrap[data-name="interested-in"] input[type="checkbox"]:checked {
    background-color: var(--primary-color); 
    box-shadow: 0px 2px 5px rgba(0,0,0,0.3); 
}

/* Create a checkmark using a pseudo-element */
.wpcf7-form-control-wrap[data-name="interested-in"] input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    left: 7px;
    top: 3px;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
   
}

.wpcf7-form-control-wrap[data-name="interested-in"] label {
    display: flex;
    align-items: center;
}

#contact-form .form__col-inner.col-lg-4 {
    margin-bottom: 15px;
}

.form__col__submit .btn:after {
    position: relative;
    top: 4px;
    right: 0px;
    padding-left: 15px;
}

.form__col__submit:hover .btn:after {
    padding: 10px 10px;
    transition: all ease .33s;
}

@media (max-width: 576px) {
    .wpcf7-form-control-wrap[data-name="interested-in"] .wpcf7-checkbox {
        grid-template-columns: 1fr;
        column-gap: 0;
    }
    .form__col-inner.col-lg-12.message-col {
        margin-top: 20px;
    }
}

@media (max-width: 767px) {
    #contact-form .form__col-inner.col-lg-4 {
        margin-bottom: 16px;
    }
    .form__col__submit {
        margin-left: 0px;
    }
}

@media(min-width: 768px) {
    .form__col-inner.col-lg-12.message-col {
        margin-top: 20px;
    }
     
    .form__col__submit {
        margin-left: 0px;
    }

}
@media(min-width: 1200px) and (max-width: 1375px) {
    .wpcf7-not-valid-tip {
        /* font-size: 11.5px !important; */
    }
}

@media (min-width: 1200px) {
    .form__col__submit .btn:after {
        position: relative;
        top: 4px;
        right: 0px;
        padding-left: 15px;
    }
}
.wpcf7-not-valid-tip {
    position: absolute;
    right: 0px;
    top: -50px;/*-25px*/
    font-size: 14px;
    width: max-content;
    color: #ED0000;
    padding-left: 20px;
}

.wpcf7-not-valid-tip:after {
    content: "";
    background: url(../../img/error-icon.svg) 0 0 no-repeat;
    position: absolute;
    left: 0;
    top: 50%;
    width: 15px;
    height: 14px;
    transform: translate(0, -50%);
}


/* Entire form error message */
.wpcf7-response-output {}

/* Styling for fields that have errors */
select.wpcf7-not-valid,
textarea.wpcf7-not-valid,
input.wpcf7-not-valid,
.wpcf7-not-valid .choices {
    border-color: #ED0000;
}

/* Adding CF7 Spinner for loading */
.wpcf7-spinner {
    visibility: hidden;
    display: inline-block;
    background-color: #23282d;
    /* Dark Gray 800 */
    opacity: 0.75;
    width: 24px;
    height: 24px;
    border: none;
    border-radius: 100%;
    padding: 0;
    margin: 0 24px;
    position: relative;
}

form.submitting .wpcf7-spinner {
    visibility: visible;
}

.wpcf7-spinner::before {
    content: '';
    position: absolute;
    background-color: #fbfbfc;
    /* Light Gray 100 */
    top: 4px;
    left: 4px;
    width: 6px;
    height: 6px;
    border: none;
    border-radius: 100%;
    transform-origin: 8px 8px;
    animation-name: spin;
    animation-duration: 1000ms;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

@media (prefers-reduced-motion: reduce) {
    .wpcf7-spinner::before {
        animation-name: blink;
        animation-duration: 2000ms;
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes blink {
    from {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}